{
  inputs,
  outputs,
  lib,
  config,
  pkgs,
  ...
}: {
    environment.systemPackages = with pkgs; [ 

        # code
        cargo rustc # Rust
        jetbrains.rust-rover
        jetbrains.rider
        jetbrains.clion
        jetbrains.pycharm-professional
        vim
        python3
        lua
        git
        (vscode-with-extensions.override {
            vscodeExtensions = with vscode-extensions; [
            dracula-theme.theme-dracula
            yzhang.markdown-all-in-one
            rust-lang.rust-analyzer
            # jscearcy.rust-doc-viewer
            #  swellaby.vscode-rust-test-adapter
            tamasfe.even-better-toml
            ms-vsliveshare.vsliveshare
            aaron-bond.better-comments
            bbenoist.nix
            ] ++ pkgs.vscode-utils.extensionsFromVscodeMarketplace [
            {
                name = "remote-ssh-edit";
                publisher = "ms-vscode-remote";
                version = "0.47.2";
                sha256 = "1hp6gjh4xp2m1xlm1jsdzxw9d8frkiidhph6nvl24d0h8z34w49g";
            }
            ];
        })
        # other
        discord

        # sys utils
        gnupg ffmpeg unzip 
        mpv
    ];
}